View Javadoc

    1   /*
    2    * $Id: ResourceException.java,v 1.1 2004/02/27 23:56:19 spullara Exp $version Jan 9, 2004 12:43:51 PM $user Exp $
    3    *
    4    * Copyright 2003 (C) Sam Pullara. All Rights Reserved.
    5    *
    6    * Redistribution and use of this software and associated documentation
    7    * ("Software"), with or without modification, are permitted provided that the
    8    * following conditions are met: 1. Redistributions of source code must retain
    9    * copyright statements and notices. Redistributions must also contain a copy
    10   * of this document. 2. Redistributions in binary form must reproduce the above
    11   * copyright notice, this list of conditions and the following disclaimer in
    12   * the documentation and/or other materials provided with the distribution. 3.
    13   * The name "groovy" must not be used to endorse or promote products derived
    14   * from this Software without prior written permission of The Codehaus. For
    15   * written permission, please contact info@codehaus.org. 4. Products derived
    16   * from this Software may not be called "groovy" nor may "groovy" appear in
    17   * their names without prior written permission of The Codehaus. "groovy" is a
    18   * registered trademark of The Codehaus. 5. Due credit should be given to The
    19   * Codehaus - http://groovy.codehaus.org/
    20   *
    21   * THIS SOFTWARE IS PROVIDED BY THE CODEHAUS AND CONTRIBUTORS ``AS IS'' AND ANY
    22   * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    23   * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    24   * DISCLAIMED. IN NO EVENT SHALL THE CODEHAUS OR ITS CONTRIBUTORS BE LIABLE FOR
    25   * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    26   * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
    27   * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
    28   * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
    29   * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
    30   * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
    31   * DAMAGE.
    32   *
    33   */
    34   package> groovy.util;
    35
    36  /***
    37   * @author sam
    38   *
    39   * To change the template for this generated type comment go to
    40   * Window - Preferences - Java - Code Generation - Code and Comments
    41   */
    42  public class ResourceException extends Exception {
    43
    44  	/***
    45  	 *
    46  	 */
    47  	public ResourceException() {
    48  		super();
    49  		// TODO Auto-generated constructor stub
    50  	}
    51
    52  	/***
    53  	 * @param message
    54  	 */
    55  	public ResourceException(String message) {
    56  		super(message);
    57  	}
    58
    59  	/***
    60  	 * @param message
    61  	 * @param cause
    62  	 */
    63  	public ResourceException(String message, Throwable cause) {
    64  		super(message, cause);
    65  	}
    66
    67  	/***
    68  	 * @param cause
    69  	 */
    70  	public ResourceException(Throwable cause) {
    71  		super(cause);
    72  	}
    73
    74  }